#region Using Statements
using System;
using System.Collections.Generic;
using System.Linq;
#endregion

using System.Threading;

namespace MojaPierwszaGraMonoGame
{
#if WINDOWS || LINUX
    /// <summary>
    /// The main class.
    /// </summary>
    public static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            bool czyPierwszaInstancja;
            Mutex m = new Mutex(true, "MojaPierwszaGraMonoGame", out czyPierwszaInstancja);
            if (!czyPierwszaInstancja)
            {
                Console.Beep();
                return;
            }

            using (var game = new Game1())
                game.Run();

            m.ReleaseMutex();
        }
    }
#endif
}
